package com.fs.task;

import com.fs.course.service.IFsCourseWatchLogService;
import com.fs.qw.service.IQwWorkTaskService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 后台统计相关 定时任务
 */
@Slf4j
@Service("fsCourseTask")
public class FsCourseTask {
    @Autowired
    private IFsCourseWatchLogService fsCourseWatchLogService;
    @Autowired
    private IQwWorkTaskService qwWorkTaskService;

    /**
     * 添加企微观看日志
     * @throws Exception
     */
    public void addQwWatchLog() throws Exception
    {
        fsCourseWatchLogService.addCourseWatchLogDayNew();
    }


    /**
     * 看课面板定时任务-1
     * @throws Exception
     */
    public void qwWorkTask1() throws Exception
    {
        qwWorkTaskService.addQwWorkByCourse4();
        qwWorkTaskService.addQwWorkByCourseLastTime();
    }
    /**
     * 看课面板定时任务-2
     * @throws Exception
     */
    public void qwWorkTask2() throws Exception
    {
        qwWorkTaskService.addQwWorkByCourse();
        qwWorkTaskService.addQwWorkByFirstCourse();
    }
    /**
     * 看课面板定时任务-3
     * @throws Exception
     */
    public void qwWorkTask3() throws Exception
    {
        qwWorkTaskService.addQwWorkByConversionDay();
    }
    /**
     * 看课面板定时任务-4
     * @throws Exception
     */
    public void qwWorkTask4() throws Exception
    {
        qwWorkTaskService.delQwWorkTaskByOver();
    }

}
